﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using C1.C1Preview;

namespace C1Report_Merging
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        System.Drawing.Imaging.Metafile[] Pages;
        int index = 0;

        private void Form1_Load(object sender, EventArgs e)
        {
            // Load the reports
            c1Report1.Load(Application.StartupPath + "\\Report1.xml", "Sales by Category Report");
            c1Report2.Load(Application.StartupPath + "\\Report2.xml", "Employees Report");
            this.c1Report1.Render();
            this.c1Report2.Render();

            c1PrintDocument1.PageLayout.PageSettings.LeftMargin = "0.0in";
            c1PrintDocument1.PageLayout.PageSettings.TopMargin = "0.0in";
            c1PrintDocument1.PageLayout.PageSettings.BottomMargin = "1.0in";

           
            int i;
            int count=c1Report1.GetPageCount() + c1Report2.GetPageCount();
            Pages = new System.Drawing.Imaging.Metafile[count];

            // get pageimages of report1
            foreach (System.Drawing.Imaging.Metafile Page in this.c1Report1.GetPageImages())
            {
                Pages.SetValue(Page, index);
                index++;
            }

            // get pageimages of report2
            foreach (System.Drawing.Imaging.Metafile Page in this.c1Report2.GetPageImages())
            {
                Pages.SetValue(Page, index);
                index++;
            }

            // add images from array to PrintDocument as RenderImages
            for (i = 0; i <= (Pages.Length - 1); i++)
            {
                RenderImage PageImage = new RenderImage(Pages[i]);
                this.c1PrintDocument1.Body.Children.Add(PageImage);
                this.c1PrintDocument1.Reflow();
            }

            // Preview the C1PrintDocument
            c1PrintPreviewControl1.Document = c1PrintDocument1;
        }
    }
}
